Bug 204201 - ImageMagick-perl no longer working after update to 6.2.5.4-4.2.1.fc5.4
ImageMagick-perl no longer working after update to 6.2.5.4-4.2.1.fc5.4
Status: CLOSED DUPLICATE of bug 203975
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
5
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Norm Murray
Mike McLean
:
Depends On:
Blocks: FC6Target
  Show dependency treegraph
 
Reported: 2006-08-26 14:00 EDT by Toby Ovod-Everett
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 23:25:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Toby Ovod-Everett 2006-08-26 14:00:17 EDT
Description of problem:
It appears the ImageMagick-perl is no longer functioning on my system.  I 
believe this bug was most likely introduced with the August 23 ImageMagick 
updates (6.2.5.4-4.2.1.fc5.4) as I know I have accessed the web pages that make 
use of ImageMagick within the last two weeks and the only updates in the past 
month to ImageMagick were the ones on August 23.  If I can figure out where to 
find the fc5.2 versions, I might try to revert to those.

Version-Release number of selected component (if applicable):
ImageMagick.x86_64 6.2.5.4-4.2.1.fc5.4
ImageMagick.i386 6.2.5.4-4.2.1.fc5.4
ImageMagick-perl.x86_64 6.2.5.4-4.2.1.fc5.4

How reproducible:
100% of the time on my system.  I don't have access to any other FC5 systems 
for other testing.

Steps to Reproduce:
1. Install ImageMagick and ImageMagick-perl on a x86_64 system.
2. From a prompt: perl -e 'use Image::Magick;'
  
Actual results:
perl: symbol lookup error: /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-
thread-multi/auto/Image/Magick/Magick.so: undefined symbol: InitializeMagick

Expected results:
I would expect that Perl not crash and that my scripts that use ImageMagick 
would function properly.

Additional info:
I have verified the following dates and file sizes:
ls -l /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-
multi/auto/Image/Magick/
total 292
-r--r--r-- 1 root root     91 Aug 22 23:05 autosplit.ix
-r-xr-xr-x 1 root root 281888 Aug 22 23:06 Magick.so

ls -l /usr/lib64/perl5/vendor_perl/5.8.8/x86_64-linux-thread-multi/Image/
total 8
-r--r--r-- 1 root root 3220 Aug 22 23:00 Magick.pm

As always, huge thanks to whomever ends up resolving this - I'm a very happy 
FC5 user, and I love that so many people spend their time to make it relatively 
trouble free and easy to keep up-to-date!
Comment 1 Toby Ovod-Everett 2006-08-26 14:18:13 EDT
I can confirm that reverting to 6.2.5.4-4.2.1.fc5.3 fixes the issue (but of 
course leaves the machine vulnerable to the security issue that prompted the 
update).
Comment 2 Thomas J. Baker 2006-08-30 15:33:31 EDT
I'm having this same problem on an i386 machine too.
Comment 3 Matthias Clasen 2006-08-30 15:54:53 EDT
Hmm, this is odd. There were no perl-related changes at all, and
the InitializeMagick symbol _is_ defined in libMagick.so. I'll have to 
find an FC5 install for further debugging.
Comment 4 Zimi Q 2006-08-31 10:21:58 EDT
Imagemagick forum was topic about same problem, but it is removed.
There was conclude: if ithreads enabled in perl it breaks perlMagick.
If perl compiled witout ithread perlMagick works.
Comment 5 JLapham 2006-09-05 07:45:13 EDT
Mattias-

With all due respect, this bus is a picture perfect example of why Fedora has
gotten such a bad reputation in the community, and why people long time Red Hat
users are moving to other distros.

In his August 18 interview with slashdot:
http://interviews.slashdot.org/interviews/06/08/17/177220.shtml

Max Spevack stated in his answer to question #8 "...it gives me a chance to try
to bust the NUMBER ONE MYTH about Fedora -- that Fedora is "just a beta for
RHEL" or that "Fedora only exists to make Red Hat money" or "Red Hat doesn't
care about Fedora, it's just a dumping ground for half-tested code". I hear all
of those things from time to time, and *none* of them are true. "

This bug is one (of many) examples of half-tested (ie: not tested at all!) code
that was put up as an update to Fedora Core.  It has now been 2 weeks since this
August 23rd announcement was posted:

https://www.redhat.com/archives/fedora-package-announce/2006-August/msg00089.html

2 weeks!

One week after posting a completely broken update, Mattias writes back (see
comment 3 of this bug) that "I'll have to find an FC5 install for further
debugging."

What?  Are you serious?  We are to trust Red Hat with these updates when the
person who posted unrunnable update to Image Magick does not have ready access
to a FC5 installation?

Max further stated in his interview, "We strive to produce a quality
distribution of free software that is cutting-edge, pushes the envelope of new
open source technology, and is also robust enough that it can be relied on for
server or desktop use."

Please, Mattias, fix this regression.  This is not a corner case problem, IT IS
IMPOSSIBLE TO USE IMAGEMAGICK.  As has been stated in the initial bug
description, the following command fails:

perl -e 'use Image::Magick;'
Comment 6 Max Spevack 2006-09-05 13:55:42 EDT
Mattias,

I will provide a testing box for you if necessary.  What package set is required
for you to test/fix it?
Comment 7 Charles Curley 2006-09-05 16:39:07 EDT
* I can confirm this bug on a current system, FC5 as updated.

  ImageMagick-c++-6.2.5.4-4.2.1.fc5.4
  ImageMagick-perl-6.2.5.4-4.2.1.fc5.4
  ImageMagick-6.2.5.4-4.2.1.fc5.4

* However, on a FC5 system which has not been updated, I do not get
  that error and the script runs nominally. It has:

  ImageMagick-perl-6.2.5.4-4.2.1
  ImageMagick-6.2.5.4-4.2.1

* I can also confirm that the simple test

  perl -e 'use Image::Magick;'

  fails on the former system, and suceeds on the latter.

* Mr. Clausen's comment about having to borrow an FC5 box to test (# 3
  above) makes me wonder how serious he is as a maintainer.
Comment 8 Norm Murray 2006-09-05 23:25:24 EDT

*** This bug has been marked as a duplicate of 203975 ***

Note You need to log in before you can comment on or make changes to this bug.